Skip to main content
Storage Services/Storage Services
GETStorage ServicesSince 4.10.6SynchronousAuth Required

Get ZCE-X Capability and Information Data

Get ZCE-X Capability and Information Data

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidStringRequired

    ZCE-X information UUID, uniquely identifies the resource

  • systemTagsList

    System Tag

  • userTagsList

    User Tag

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the get operation was successful

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief summary of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause: the source error that triggered the current error. If there is no original error, this field is null

Endpoint

GET/zstack/v1/zce-x-plugin/capability

/zstack/v1/zce-x-plugin/capability

Operation ID

GetZceXCapability

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zce-x-plugin/capability?uuid=<uuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "licenses": { "platform": { "issuedTime": "2024-12-21T02:00:00Z", "expiredTime": "2024-12-21T02:00:00Z", "expired": false } }, "cluster": { "managementNetworkCidr": "172.26.0.0/16", "gatewayNetworkCidr": "172.26.0.0/16", "publicNetworkCidr": "172.26.0.0/16", "clusterNetworkCidr": "192.168.15.0/24", "hosts": { "count": 3, "adminIps": [ "192.168.0.1", "192.168.0.2", "192.168.0.3" ] }, "pools": { "count": 3, "totalCapacity": 2199023255552, "inventories": [ { "id": 3, "poolName": "pool-7548ffce72794737b439a9f8e3b2da83" }, { "id": 2, "poolName": "pool-3e9f6251332a433e8d48c2edc95eb142" }, { "id": 1, "poolName": "pool-37194c3c7bd74bdb8594cf768c4e42bd" } ] } } }

Change History

This API has no change history records yet.

View all change history